Bug 193421 - [MAINTAINER] net/ntopng: update to 1.2.1
Summary: [MAINTAINER] net/ntopng: update to 1.2.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Thomas Zander
URL:
Keywords:
Depends on: 193418
Blocks:
  Show dependency treegraph
 
Reported: 2014-09-07 10:45 UTC by Muhammad Moinur Rahman
Modified: 2014-09-15 12:29 UTC (History)
2 users (show)

See Also:


Attachments
patch for 1.2.1 (40.20 KB, patch)
2014-09-07 10:45 UTC, Muhammad Moinur Rahman
bofh: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Muhammad Moinur Rahman freebsd_committer 2014-09-07 10:45:49 UTC
Created attachment 146992 [details]
patch for 1.2.1

- Update to 1.2.1
- Doesn't build on 8.X

Poudriere logs:
http://pdr.s.ubze.ro/bulk/latest-per-pkg/ntopng/1.2.1/
Comment 1 Muhammad Moinur Rahman freebsd_committer 2014-09-14 12:15:16 UTC
Hi John,
If you are not busy can you take care of this?
Comment 2 commit-hook freebsd_committer 2014-09-15 12:16:13 UTC
A commit references this bug:

Author: riggs
Date: Mon Sep 15 12:15:57 UTC 2014
New revision: 368263
URL: http://svnweb.freebsd.org/changeset/ports/368263

Log:
  - Update to upstream release 1.2.1
  - Clean up / simplify Makefile
  - MASTER_SITES: only sourceforge
  - Mark port BROKEN on pre-9.x systems for now (build issue)

  PR:		193421
  Submitted by:	5u623l20@gmail.com (maintainer)

Changes:
  head/net/ntopng/Makefile
  head/net/ntopng/distinfo
  head/net/ntopng/files/ntopng-geoipupdate.sh.in
  head/net/ntopng/files/patch-Makefile.in
  head/net/ntopng/files/patch-Ntop.cpp
  head/net/ntopng/files/patch-configure
  head/net/ntopng/files/patch-configure.ac
  head/net/ntopng/files/patch-credis.c
  head/net/ntopng/files/patch-ntop__includes.h
  head/net/ntopng/pkg-message
  head/net/ntopng/pkg-plist
Comment 3 Thomas Zander freebsd_committer 2014-09-15 12:19:50 UTC
Committed, thanks.

However, 8.4 is being EOL'd in July 2015. Any chance you could see if you get it to build on 8.4 as well?
Comment 4 Muhammad Moinur Rahman freebsd_committer 2014-09-15 12:29:38 UTC
Hi,

It's an issue with *ENDIAN support of 8.4 architecture. But I will keep on trying if I can find out the original reason behind it.